{strip}
{if !empty($etGlobalSettings.gpsrSource) && !empty($product)}
    {if $etGlobalSettings.gpsrSource === 'attributes' || $etGlobalSettings.gpsrSource === 'attributesWithLabels'}
        {$labelsEnabled = ($etGlobalSettings.gpsrSource === 'attributesWithLabels')}
        {if !empty($product->FunktionsAttribute['gpsr_manufacturer_name'])
        || !empty($product->FunktionsAttribute['gpsr_manufacturer_street'])
        || !empty($product->FunktionsAttribute['gpsr_manufacturer_housenumber'])
        || !empty($product->FunktionsAttribute['gpsr_manufacturer_postalcode'])
        || !empty($product->FunktionsAttribute['gpsr_manufacturer_city'])
        || !empty($product->FunktionsAttribute['gpsr_manufacturer_state'])
        || !empty($product->FunktionsAttribute['gpsr_manufacturer_country'])
        || !empty($product->FunktionsAttribute['gpsr_manufacturer_email'])
        || !empty($product->FunktionsAttribute['gpsr_manufacturer_homepage'])}
            <div class="et-gpsr-manufacturer">
                <div class="et-gpsr-title">{et_language key='et360_gpsr_title_manufacturer'}</div>
                {if !empty($product->FunktionsAttribute['gpsr_manufacturer_name'])}
                    <div class="et-gpsr-item et-gpsr-item-name">{if $labelsEnabled}<span class="et-gpsr-label">{et_language key='et360_gpsr_label_name'}</span>{/if}<span class="et-gpsr-value">{$product->FunktionsAttribute['gpsr_manufacturer_name']}</span></div>
                {/if}
                {if !empty($product->FunktionsAttribute['gpsr_manufacturer_street']) || !empty($product->FunktionsAttribute['gpsr_manufacturer_housenumber'])}
                    <div class="et-gpsr-item et-gpsr-item-street">{if $labelsEnabled}<span class="et-gpsr-label">{et_language key='et360_gpsr_label_street'}</span>{/if}<span class="et-gpsr-value">{$product->FunktionsAttribute['gpsr_manufacturer_street']} {$product->FunktionsAttribute['gpsr_manufacturer_housenumber']}</span></div>
                {/if}
                {if !empty($product->FunktionsAttribute['gpsr_manufacturer_postalcode']) || !empty($product->FunktionsAttribute['gpsr_manufacturer_city'])}
                    <div class="et-gpsr-item et-gpsr-item-city">{if $labelsEnabled}<span class="et-gpsr-label">{et_language key='et360_gpsr_label_city'}</span>{/if}<span class="et-gpsr-value">{$product->FunktionsAttribute['gpsr_manufacturer_postalcode']} {$product->FunktionsAttribute['gpsr_manufacturer_city']}</span></div>
                {/if}
                {if !empty($product->FunktionsAttribute['gpsr_manufacturer_state'])}
                    <div class="et-gpsr-item et-gpsr-item-state">{if $labelsEnabled}<span class="et-gpsr-label">{et_language key='et360_gpsr_label_state'}</span>{/if}<span class="et-gpsr-value">{$product->FunktionsAttribute['gpsr_manufacturer_state']}</span></div>
                {/if}
                {if !empty($product->FunktionsAttribute['gpsr_manufacturer_country'])}
                    <div class="et-gpsr-item et-gpsr-item-country">{if $labelsEnabled}<span class="et-gpsr-label">{et_language key='et360_gpsr_label_country'}</span>{/if}<span class="et-gpsr-value">{$product->FunktionsAttribute['gpsr_manufacturer_country']}</span></div>
                {/if}
                {if !empty($product->FunktionsAttribute['gpsr_manufacturer_email'])}
                    <div class="et-gpsr-item et-gpsr-item-email">{if $labelsEnabled}<span class="et-gpsr-label">{et_language key='et360_gpsr_label_email'}</span>{/if}<span class="et-gpsr-value">{$product->FunktionsAttribute['gpsr_manufacturer_email']}</span></div>
                {/if}
                {if !empty($product->FunktionsAttribute['gpsr_manufacturer_homepage'])}
                    <div class="et-gpsr-item et-gpsr-item-homepage">{if $labelsEnabled}<span class="et-gpsr-label">{et_language key='et360_gpsr_label_homepage'}</span>{/if}<span class="et-gpsr-value">{$product->FunktionsAttribute['gpsr_manufacturer_homepage']}</span></div>
                {/if}
            </div>
        {/if}
        {if !empty($product->FunktionsAttribute['gpsr_responsibleperson_name'])
        || !empty($product->FunktionsAttribute['gpsr_responsibleperson_street'])
        || !empty($product->FunktionsAttribute['gpsr_responsibleperson_housenumber'])
        || !empty($product->FunktionsAttribute['gpsr_responsibleperson_postalcode'])
        || !empty($product->FunktionsAttribute['gpsr_responsibleperson_city'])
        || !empty($product->FunktionsAttribute['gpsr_responsibleperson_state'])
        || !empty($product->FunktionsAttribute['gpsr_responsibleperson_country'])
        || !empty($product->FunktionsAttribute['gpsr_responsibleperson_email'])
        || !empty($product->FunktionsAttribute['gpsr_responsibleperson_homepage'])}
            <div class="et-gpsr-responsibleperson">
                <div class="et-gpsr-title">{et_language key='et360_gpsr_title_responsibleperson'}</div>
                {if !empty($product->FunktionsAttribute['gpsr_responsibleperson_name'])}
                    <div class="et-gpsr-item et-gpsr-item-name">{if $labelsEnabled}<span class="et-gpsr-label">{et_language key='et360_gpsr_label_name'}</span>{/if}<span class="et-gpsr-value">{$product->FunktionsAttribute['gpsr_responsibleperson_name']}</span></div>
                {/if}
                {if !empty($product->FunktionsAttribute['gpsr_responsibleperson_street']) || !empty($product->FunktionsAttribute['gpsr_responsibleperson_housenumber'])}
                    <div class="et-gpsr-item et-gpsr-item-street">{if $labelsEnabled}<span class="et-gpsr-label">{et_language key='et360_gpsr_label_street'}</span>{/if}<span class="et-gpsr-value">{$product->FunktionsAttribute['gpsr_responsibleperson_street']} {$product->FunktionsAttribute['gpsr_responsibleperson_housenumber']}</span></div>
                {/if}
                {if !empty($product->FunktionsAttribute['gpsr_responsibleperson_postalcode']) || !empty($product->FunktionsAttribute['gpsr_responsibleperson_city'])}
                    <div class="et-gpsr-item et-gpsr-item-city">{if $labelsEnabled}<span class="et-gpsr-label">{et_language key='et360_gpsr_label_city'}</span>{/if}<span class="et-gpsr-value">{$product->FunktionsAttribute['gpsr_responsibleperson_postalcode']} {$product->FunktionsAttribute['gpsr_responsibleperson_city']}</span></div>
                {/if}
                {if !empty($product->FunktionsAttribute['gpsr_responsibleperson_state'])}
                    <div class="et-gpsr-item et-gpsr-item-state">{if $labelsEnabled}<span class="et-gpsr-label">{et_language key='et360_gpsr_label_state'}</span>{/if}<span class="et-gpsr-value">{$product->FunktionsAttribute['gpsr_responsibleperson_state']}</span></div>
                {/if}
                {if !empty($product->FunktionsAttribute['gpsr_responsibleperson_country'])}
                    <div class="et-gpsr-item et-gpsr-item-country">{if $labelsEnabled}<span class="et-gpsr-label">{et_language key='et360_gpsr_label_country'}</span>{/if}<span class="et-gpsr-value">{$product->FunktionsAttribute['gpsr_responsibleperson_country']}</span></div>
                {/if}
                {if !empty($product->FunktionsAttribute['gpsr_responsibleperson_email'])}
                    <div class="et-gpsr-item et-gpsr-item-email">{if $labelsEnabled}<span class="et-gpsr-label">{et_language key='et360_gpsr_label_email'}</span>{/if}<span class="et-gpsr-value">{$product->FunktionsAttribute['gpsr_responsibleperson_email']}</span></div>
                {/if}
                {if !empty($product->FunktionsAttribute['gpsr_responsibleperson_homepage'])}
                    <div class="et-gpsr-item et-gpsr-item-homepage">{if $labelsEnabled}<span class="et-gpsr-label">{et_language key='et360_gpsr_label_homepage'}</span>{/if}<span class="et-gpsr-value">{$product->FunktionsAttribute['gpsr_responsibleperson_homepage']}</span></div>
                {/if}
            </div>
        {/if}
    {elseif $etGlobalSettings.gpsrSource === 'manufacturerDescription' && !empty($product->cHerstellerBeschreibung)}
        <div class="et-gpsr-manufacturer-description">
            {$product->cHerstellerBeschreibung}
        </div>
    {elseif ($etGlobalSettings.gpsrSource === 'manufacturerDescriptionBefore' || $etGlobalSettings.gpsrSource === 'manufacturerDescriptionAfter') && !empty($etGlobalSettings.gpsrSourceDivider) && !empty($product->cHerstellerBeschreibung)}
        {* Extract GPSR part from manufacturer description and ONLY show it, if it is non empty. *}
        {et_splitGpsr content=$product->cHerstellerBeschreibung return='gpsr' assign='gpsrSplitContent'}
        {if !empty($gpsrSplitContent)}
            <div class="et-gpsr-manufacturer-description">
                {$gpsrSplitContent}
            </div>
        {/if}
    {/if}
{/if}
{/strip}